<?php require_once('Connections/cn.php'); ?>
<?php
 session_start();
 $cedula_alumno=$_SESSION['CEDULA_USUARIO'];


	
// Para tomar los datos del alumno
// Cargo los datos de los Alumnos.

mysql_select_db($database_cn, $cn);
mysql_query ("SET NAMES 'utf8'");
// Busca los datos del Participante
$query_rstAlumnos = "SELECT id_alumno,cedula,apellidos,nombres FROM alumnos WHERE cedula='$cedula_alumno'";
$rstAlumnos = mysql_query($query_rstAlumnos, $cn) or die(mysql_error());
$totalRows_rstAlumnos = mysql_num_rows($rstAlumnos);
$rstAlumno = mysql_fetch_assoc($rstAlumnos);
$apellidos=$rstAlumno["apellidos"];
$nombres=$rstAlumno["nombres"];	
$id_alumno=$rstAlumno["id_alumno"];	
	
// Busca los datos de los Programas del Participante.
$query_rstCarreras = "SELECT carreras_alumno.cod_carrera, carreras.nombre_carrera FROM carreras_alumno,carreras WHERE carreras_alumno.cod_carrera=carreras.id_carrera AND carreras_alumno.id_alumno='$id_alumno' ORDER BY nombre_carrera";
$rstCarreras = mysql_query($query_rstCarreras, $cn) or die(mysql_error());
$row_rstCarreras = mysql_fetch_assoc($rstCarreras);
$totalRows_rstCarreras = mysql_num_rows($rstCarreras);	

	// Datos de los periodos abiertos.	
	$query_rsperiodos = "SELECT id_periodo, codigo FROM periodos WHERE status='ABIERTO' order by id_periodo desc";
	$rsperiodos = mysql_query($query_rsperiodos, $cn) or die(mysql_error());
	$row_rsperiodos = mysql_fetch_assoc($rsperiodos);
	$totalRows_rsperiodos = mysql_num_rows($rsperiodos);
	
	// Datos de los periodos abiertos.	
	$sqlArancel = "SELECT codigo, descripcion FROM aranceles ORDER BY descripcion";
	$rsArancel = mysql_query($sqlArancel, $cn) or die(mysql_error());
	$rowArancel = mysql_fetch_assoc($rsArancel);
	
  if (isset($_GET["order"])) $order = @$_GET["order"];
  if (isset($_GET["type"])) $ordtype = @$_GET["type"];

  if (isset($_POST["filter"])) $filter = @$_POST["filter"];
  if (isset($_POST["filter_field"])) $filterfield = @$_POST["filter_field"];
  $wholeonly = false;
  if (isset($_POST["wholeonly"])) $wholeonly = @$_POST["wholeonly"];

  if (!isset($order) && isset($_SESSION["order"])) $order = $_SESSION["order"];
  if (!isset($ordtype) && isset($_SESSION["type"])) $ordtype = $_SESSION["type"];
  if (!isset($filter) && isset($_SESSION["filter"])) $filter = $_SESSION["filter"];
  if (!isset($filterfield) && isset($_SESSION["filter_field"])) $filterfield = $_SESSION["filter_field"];

?>

<html>
<head>
<title>sadce -- inscripciones por alumno</title>
<meta name="generator" http-equiv="Content-Type" content="text/html; charset=utf-8">
<style type="text/css">
  body {
    background-color: #FFFFFF;
    color: #004080;
    font-family: Arial;
    font-size: 12px;
  }
  .bd {
    background-color: #FFFFFF;
    color: #004080;
    font-family: Arial;
    font-size: 12px;
  }
  .tbl {
    background-color: #FFFFFF;
  }
  a:link { 
    color: #FF0000;
    font-family: Arial;
    font-size: 12px;
  }
  a:active { 
    color: #0000FF;
    font-family: Arial;
    font-size: 12px;
  }
  a:visited { 
    color: #800080;
    font-family: Arial;
    font-size: 12px;
  }
  .hr {
    background-color: #336699;
    color: #FFFFFF;
    font-family: Arial;
    font-size: 12px;
  }
  a.hr:link {
    color: #FFFFFF;
    font-family: Arial;
    font-size: 12px;
  }
  a.hr:active {
    color: #FFFFFF;
    font-family: Arial;
    font-size: 12px;
  }
  a.hr:visited {
    color: #FFFFFF;
    font-family: Arial;
    font-size: 12px;
  }
  .dr {
    background-color: #FFFFFF;
    color: #000000;
    font-family: Arial;
    font-size: 12px;
  }
  .sr {
    background-color: #FFFFCF;
    color: #000000;
    font-family: Arial;
    font-size: 12px;
  }
</style>
</head>
<script src="jquery.min.js" type="text/javascript"></script>
<meta name="generator" http-equiv="Content-Type" content="text/html; charset=utf-8">
</head>
<script>
$(document).ready(function(){
	$("#cedula").change(function(){
		$.post("carga_carreras_alumno1.php",{ id:$(this).val() },function(data){$("#id_carrera").html(data);})
	});
	$("#id_carrera").change(function(){
		$.post("carga_sedes_alumno1.php",{ id:$(this).val(),c:$("#cedula").val() },function(data){$("#id_sede").html(data);})
	});
})
</script>

<body>
<table class="bd" width="100%" align="center"><tr><td class="hr"><h2 align="left">Pago de Aranceles </h2></td></tr>
<tr><td class="hr">Todos los datos son obligatorios</td></tr>
</table>
<form name="form1" method="post" onSubmit="return validar_datos()">
  <table width="90%" border="0" align="center" id="carga" cellpadding="1" cellspacing="10" style="border:1px solid #ccc;">
    
    <tr>
      <td width="88"><div align="right">Cédula:</div></td>
      <td colspan="5"><label>
        <input class="bd1" name="cedula" id="cedula"  type="text" size="12" maxlength="20" disabled="disabled" value="<?php echo $cedula_alumno; ?>"> 
      </label></td>
    </tr>
    <tr>
      <td><div align="right">Apellidos:</div></td>
      <td colspan="5"><label>
        <input  name="apellidos" id="apellidos"  type="text" size="35" maxlength="50" disabled="disabled" value="<?php echo $apellidos; ?>"> 
      </label>
      &nbsp;&nbsp;&nbsp;&nbsp;Nombres:&nbsp;&nbsp;
      <label>
      <input  name="nombres" id="nombres"  type="text" size="35" maxlength="50" disabled="disabled" value="<?php echo $nombres; ?>"> 
      </label></td>
    </tr>
    
    <tr>
      <td><div align="right">Programa:</div></td>
      <td colspan="5"><label>
        <select name="id_carrera" id="id_carrera" style="width:580px">
		<option value="0">Seleccione...</option>
          <?php
do {  
?>
          <option value="<?php echo $row_rstCarreras['cod_carrera']?>"><?php echo $row_rstCarreras['cod_carrera']?>:<?php echo $row_rstCarreras['nombre_carrera']?></option>
          <?php
} while ($row_rstCarreras = mysql_fetch_assoc($rstCarreras));
  $rows = mysql_num_rows($rstCarreras);
  if($rows > 0) {
      mysql_data_seek($rstCarreras, 0);
	  $row_rstCarreras = mysql_fetch_assoc($rstCarreras);
  }
?>
        </select>
      </label></td>
    </tr>
    
    
    <tr>
      <td><div align="right">Sede: </div>
          <div align="center"></div>
        <label></label></td>
      <td width="213"><select name="id_sede" id="id_sede" style="width:200px">
          <option value="0">Seleccione...</option>
      </select></td>
      <td width="75">Período:</td>
      <td width="403"><select name="id_periodo" id="id_periodo">
          <?php
do {  
?>
          <option value="<?php echo $row_rsperiodos['id_periodo']?>"><?php echo $row_rsperiodos['codigo']?></option>
          <?php
} while ($row_rsperiodos = mysql_fetch_assoc($rsperiodos));
  $rows = mysql_num_rows($rsPeriodos);
  if($rows > 0) {
      mysql_data_seek($rsperiodos, 0);
	  $row_rsperiodos = mysql_fetch_assoc($rsperiodos);
  }
?>
        </select>      </td>
    </tr>
    <tr>
      <td colspan="4"><label></label>      
        <div align="center">Arancel a Pagar:&nbsp;&nbsp;&nbsp; 
          <select name="arancel" id="arancel" style="width:300px">
            <option value="0">Seleccione...</option>
            <?php
			do {  
			?>
            <option value="<?php echo $rowArancel['codigo']?>"><?php echo $rowArancel['descripcion']?></option>
            <?php
			} while ($rowArancel = mysql_fetch_assoc($rsArancel));
			  $rows = mysql_num_rows($rsArancel);
			  if($rows > 0) {
				  mysql_data_seek($rsArancel, 0);
				  $rowArancel = mysql_fetch_assoc($rsArancel);
			  }
		?>
          </select>
      </div></td>
    </tr>
    
    <tr>
      <td height="34" colspan="4"><div align="center">
        <label>
        <input name="Enviar" type="Button" id="Enviar" value="Procesar" onClick="return validar_datos()" >
        </label>
      </div></td>
    </tr>
  </table>
    <div align="center"></div>
  <div align="center"></div>
</form>
<p>&nbsp;</p>
</body>

 <script type="text/javascript">
	function validar_datos()
	{
	 	
		if(document.form1.cedula.value==0){
			alert("El campo <<Cédula>> es obligatorio");
			document.form1.cedula.focus();
			return false;
			}
		if(document.form1.id_carrera.value==0){
			alert("El campo <<Programa>> es obligatorio");
			document.form1.carrera.focus();
			return false;
			}
			
		if(document.form1.id_sede.value==0){
			alert("El campo <<Sede>> es obligatorio");
			document.form1.id_sede.focus();
			return false;
			}	
		if(document.form1.arancel.value==0){
			alert("El campo <<Arancel>> es obligatorio");
			document.form1.arancel.focus();
			return false;
			}		
			window.document.location="pago_aranceles_web.php?a=add"+"&id_carrera="+document.form1.id_carrera.value+"&cedula="+document.form1.cedula.value+"&id_periodo="+document.form1.id_periodo.value+"&id_sede="+document.form1.id_sede.value+"&arancel="+document.form1.arancel.value;
	}
	
</script>

<script type="text/javascript">
	var nav4 = window.Event ? true : false;
	function soloNum(evt)
	{	
	// NOTE: Backspace = 8, Enter = 13, '0' = 48, '9' = 57, ','= 44, '.'= 46
		var key = nav4 ? evt.which : evt.keyCode;	
		//var str=obj.value;
	
		return (key == 8 || key == 13 || (key >= 48 && key <= 57));
	}
	
	
	function verificar_alumno(cedula)
    {
 	if (cedula!="")
	 {
	 url="validar_alumno_pago_regular.php?cedula="+cedula;
	 frameNuevo.location=url;
	 }
}
</script>
 <?php

mysql_free_result($rsperiodos);

?>


